Google Earth in Fedora, ld-lsb.so.3 bad ELF interpreter

If you get the Google Earth error under 64-bit Fedora:

/lib/ld-lsb.so.3: bad ELF interpreter: No such file or directory

Try installing the redhat-lsb.i686 package

yum install redhat-lsb.i686

Note: You could find this yourself for similar problems by

yum whatprovides ld-lsb.so.3

Where of course “ld-lsb.so.3” is replaced by the package being denoted as missing.

Leave a Comment